Document templates & integrations
Clone Document Template Starter
Clone document template starter. Requires company-wide document management access in the effective organization.
Not available to API keys yet. It will need documents:write.
curl --request POST \
--url 'https://api.toku.com/hris/clone-document-template-starter' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"starterId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"requestId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string"
}'{
"templateId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string",
"subjectType": "PERSON",
"category": "EMPLOYMENT_AGREEMENT",
"status": "DRAFT",
"editRevision": 0,
"currentVersionNumber": 0,
"hasDraft": true,
"checks": "VALID",
"sourceUrl": "string",
"signingSetup": "RECIPIENT_ONLY",
"signatoryId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"report": {
"status": "VALID",
"checkedAt": "string",
"sourceRevision": "string",
"registryVersion": "string",
"fields": [
{
"key": "string",
"label": "string",
"status": "known",
"occurrences": 0,
"locations": [
"string"
],
"contractTypes": [
"Fixed-term"
],
"suggestions": [
"string"
]
}
],
"anchors": [
{
"anchor": "string",
"role": "string",
"required": true,
"present": true
}
],
"issues": [
{
"code": "string",
"message": "string",
"key": "string",
"role": "recipient",
"suggestions": [
"string"
]
}
]
},
"history": [
{
"versionId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"number": 0,
"publishedAt": "string",
"sourceRevision": "string",
"hash": "string"
}
],
"integrationAccount": "user@example.com",
"isStarter": true,
"requesterEmail": "user@example.com"
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
starterIdstring<uuid>requiredrequestIdstring<uuid>requirednamestringrequiredAllowed: 1 to 250 characters
Response
200Successful response
templateIdstring<uuid>requirednamestringrequiredsubjectTypestringrequiredAvailable options: PERSON, EMPLOYMENT, CONTRACTOR, GRANT
categorystringrequiredAvailable options: EMPLOYMENT_AGREEMENT, CONTRACTOR_AGREEMENT, CIIAA, EMPLOYMENT_VERIFICATION, GRANT_AGREEMENT, OTHER_ONBOARDING_DOCUMENT
statusstringrequiredAvailable options: DRAFT, PUBLISHED
editRevisionintegerrequiredcurrentVersionNumberinteger | nullrequiredhasDraftbooleanrequiredchecksstringrequiredAvailable options: VALID, INVALID, UNAVAILABLE, NOT_CHECKED
sourceUrlstring<uri>requiredsigningSetupstringrequiredAvailable options: RECIPIENT_ONLY, RECIPIENT_AND_COMPANY
signatoryIdstring | null<uuid>requiredreportobject | nullrequiredShow child attributes
statusstringrequiredAvailable options: VALID, INVALID, UNAVAILABLE
checkedAtstringrequiredsourceRevisionstring | nullrequiredregistryVersionstringrequiredfieldsobject[]requiredAllowed: at most 1000 items
Show child attributes
keystringrequiredlabelstring | nullrequiredstatusstringrequiredAvailable options: known, unknown, unavailable
occurrencesintegerrequiredAllowed: at least 1
locationsstring[]requiredAllowed: at most 5000 items
contractTypesstring[]Allowed: at most 2 items
suggestionsstring[]requiredAllowed: at most 3 items
anchorsobject[]requiredAllowed: at most 30 items
Show child attributes
anchorstringrequiredrolestringrequiredrequiredbooleanrequiredpresentbooleanrequiredissuesobject[]requiredAllowed: at most 1000 items
Show child attributes
codestringrequiredmessagestringrequiredkeystringrolestringAvailable options: recipient, company
suggestionsstring[]requiredAllowed: at most 3 items
historyobject[]requiredShow child attributes
versionIdstring<uuid>requirednumberintegerrequiredpublishedAtstringrequiredsourceRevisionstringrequiredhashstringrequiredintegrationAccountstring<email>requiredisStarterbooleanrequiredrequesterEmailstring | null<email>required